#
# spec file for package perl-Bootloader (Version 0.4.32.21)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           perl-Bootloader
Version:        0.4.32.21
Release:        0.1
Requires:       perl >= %{perl_version}
Requires:       perl-gettext
Requires:       e2fsprogs
AutoReqProv:    on
Group:          System/Boot
License:        GPL v2 or later
Summary:        Library for Configuring Boot Loaders
Source:         perl-Bootloader-%{version}.tar.bz2
Source1:        update-bootloader
Source2:        bootloader_entry
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#!BuildIgnore: mdadm e2fsprogs limal-bootloader

%description
Perl modules for configuring various boot loaders.



Authors:
--------
    Alexander Osthof <aosthof@novell.com>
    Stefan Fent <sf@novell.com>
    Joachim Plack <jplack@novell.com>
    Olaf Dabrunz <od@novell.com>
    Jiri Srain <jsrain@suse.cz>

%debug_package
%prep
%setup -q

%build
touch Makefile.PL
perl -MExtUtils::MakeMaker -e 'WriteMakefile (NAME => "Bootloader")'
make

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
mkdir -p $RPM_BUILD_ROOT/sbin
install -m 755 %_sourcedir/update-bootloader $RPM_BUILD_ROOT/sbin
install -d -m 711 $RPM_BUILD_ROOT/usr/lib/bootloader
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/bootloader

%files
%defattr(-, root, root)
%doc COPYING
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Bootloader
%{perl_vendorlib}/Bootloader
/var/adm/perl-modules/perl-Bootloader
/sbin/update-bootloader
/usr/lib/bootloader

%changelog
* Tue May 13 2008 - aosthof@suse.de
- Fixed grub device pattern (bnc#382724)
- Version bump to 0.4.32.21
* Tue May 13 2008 - aosthof@suse.de
- Fixed translation of unix devices to grub devices (bnc#375176)
- Version bump to 0.4.32.20
* Tue May 13 2008 - aosthof@suse.de
- Prevent perl-Bootloader from segfaulting when loader type is set
  to "none" (bnc#362650)
- Version bump to 0.4.32.19
* Tue May 13 2008 - aosthof@suse.de
- Corrected typo in pattern matching in GRUB.pm
- Verion bump to 0.4.32.18
* Tue May 13 2008 - aosthof@suse.de
- Fixed string-to-array conversion for menu lists (bnc#352495)
- Version bump to 0.4.32.17
* Tue May 13 2008 - aosthof@suse.de
- Implemented a fallback for failing udevinfo call (bnc#371618)
- Version bump to 0.4.32.16
* Tue May 13 2008 - aosthof@suse.de
- Fixed global default label for lilo (bnc#361079)
- Version bump to 0.4.32.15
* Tue May 13 2008 - aosthof@suse.de
- Changed some l_debug output to l_milestone to be always present
- Added some additional milestones
- Added a fallback for grub devices if translation fails
- Version bump to 0.4.32.14
* Tue May 13 2008 - aosthof@suse.de
- Enhanced distinction in section labels in a way to append the
  flavors to the labels if necessary (bnc#351126)
- Version bump to 0.4.32.13
* Tue May 13 2008 - aosthof@suse.de
- Inherit appended xen parameters from previous xen entry if
  existent (bnc#349207)
- Version bump to 0.4.32.12
* Wed Dec 19 2007 - aosthof@suse.de
- Omit error messages on console when looking for devices
- Version bump to 0.4.32.11
* Wed Dec 19 2007 - aosthof@suse.de
- Changed a (misleading) warning to a milestone (#345848)
- Version bump to 0.4.32.10
* Tue Dec 18 2007 - aosthof@suse.de
- Fixed last checkin so that labels for xen entries get displayed
  correctly now (#340922)
- Version bump to 0.4.32.9
* Fri Dec 07 2007 - aosthof@suse.de
- Distinguish between various xen kernel names (#340922)
- Version bump to 0.4.32.8
* Fri Dec 07 2007 - aosthof@suse.de
- Corrected mechanism of removing obsolete boot entries (#285421)
- Version bump to 0.4.32.7
* Wed Dec 05 2007 - aosthof@suse.de
- Fixed removal of xen (-pae) entries (#345188)
- Version bump to 0.4.32.6
* Fri Nov 30 2007 - aosthof@suse.de
- Prevent changing root device in kernel append line (#344447)
- Version bump to 0.4.32.5
* Thu Nov 15 2007 - aosthof@suse.de
- Fixed quoting of single arguments (#276464)
- Version bump to 0.4.32.4
* Wed Nov 14 2007 - aosthof@suse.de
- Added new parameter "force-default" to both bootloader_entry and
  update-bootloader. This parameter (if used) forces the new boot
  entry to be the default one (#327308)
- Version bump to 0.4.32.3
* Wed Nov 14 2007 - aosthof@suse.de
- Fixed perl warning in Core.pm (#302174)
- Version bump to 0.4.32.2
* Wed Nov 14 2007 - aosthof@suse.de
- Adapted Makefile to suit the openSUSE 10.3 branch
- Version bump to 0.4.32.1
* Wed Sep 26 2007 - od@suse.de
- Added flag avoid_reading_device_map to Library::ReadSettings()
  and to all ParseLines() (#328448)
- Added more logging to GrubDev2UnixDev()
- Version bump to 0.4.32
* Mon Sep 24 2007 - aosthof@suse.de
- Fixed missing image line in lilo (#294432)
* Fri Sep 21 2007 - aosthof@suse.de
- Save command for adding new section(s) (also multiple kernels) in
  /boot/perl-BL_delayed_exec for delayed execution in the target
  system. This script will be run by yast2-bootloader after the
  installation of packages is finished (#309837)
* Fri Sep 21 2007 - aosthof@suse.de
- Save command for removal of old sections in
  /boot/perl-BL_delayed_exec for delayed execution in the target
  system, script will be run by yast2-bootloader after installation
  of packages is finished (#309837)
- Version bump to 0.4.30
* Wed Sep 19 2007 - aosthof@suse.de
- Again added more logging - also related to #309837
* Tue Sep 18 2007 - aosthof@suse.de
- Added more verbose logging to update-bootloader and
  bootloader_entry to be able to better analyze occurring
  problems (#309837)
* Tue Sep 18 2007 - od@suse.de
- Add comment for former default value only during update (related
  to #309837, prevents accumulating wrong information that may be
  used during a later update)
- Version bump to 0.4.29
* Tue Sep 18 2007 - aosthof@suse.de
- Adapted timestamps for log files (#309837)
- Version bump to 0.4.28
* Tue Sep 18 2007 - od@suse.de
- Add comment for former default value only if it does not yet
  exist (#309837)
- Version bump to 0.4.27
* Mon Sep 17 2007 - aosthof@suse.de
- Added comment line to default value in globals of menu.lst, so
  yast2-bootloader is able to set the new default value properly in
  case of an update (#309837)
- Version bump to 0.4.26
* Fri Sep 14 2007 - od@suse.de
- Needed for #309837 and #304515 and others:
  - Convert debug messages to milestones in GrubDev2UnixDev() and
  UnixDev2GrubDev(): we always want to have logs available when
  device translation goes wrong
  - Actually log contents of new lines in CreateGrubConfLines()
- Version bump to 0.4.25
* Wed Sep 12 2007 - od@suse.de
- Needed for #309837 and #304515 and others:
  - Added (pseudo-)timestamps to standalone logging
  - Removed code from update-bootloader to remove old standalone
  log file: with the timestamps now the log entries from
  different runs of update-bootloader can be discerned
- Minor correction of error message: use ASCII "'" instead of
  similar Unicode character
* Thu Aug 23 2007 - aosthof@suse.de
- Added check for /etc/sysconfig/bootloader in bootloader_entry
  preventing installation errors in case of shared boot partitions
  (#303734)
* Wed Aug 22 2007 - aosthof@suse.de
- Check for defined types in GRUB.pm to prevent perl warnings
  (#302174)
* Tue Aug 21 2007 - aosthof@suse.de
- Check for defined keys in GRUB.pm to prevent perl warnings
  (#302174)
* Tue Aug 21 2007 - aosthof@suse.de
- Removed requirement of mdadm (#302052)
* Mon Aug 20 2007 - aosthof@suse.de
- Provided functionality for adding of new boot entries (#300930)
* Thu Aug 16 2007 - aosthof@suse.de
- Provided functionality for removal of old boot entries (#300930)
* Thu Aug 16 2007 - aosthof@suse.de
- Improved error handling for mdadm call in Tools.pm (#288842)
* Wed Aug 15 2007 - od@suse.de
- accept all "original_name"s, not only alphanumeric (fate #302302)
* Tue Aug 14 2007 - aosthof@suse.de
- Implemented new function AdaptCommentLine in Tools.pm which
  adapts YaST-like comments in existing sections to be handled
  properly by yast-bootloader (#283709)
- Version bump to 0.4.21
* Tue Aug 14 2007 - od@suse.de
- feature #302302:
  - removed CreateChainloaderLine() function and call again:
    - we use a "root" entry now in a configfile section
    - perl-Bootloader cannot pass a value consisting of both a Unix
  device name and a file name between yast2-bootloader and
  perl-Bootloader (i.e.
  "/dev/disk/by-label/testing/boot/grub/menu.lst"), this is not
  safely analyzable
    - during the last tests, the line was disabled anyway because
  it triggered on "other" instead of "menu" section type
  - fetching grub_root device (to be used in re-created "root" key)
  from "root" key in "other" section now as well
- never use a hardcoded device like "(hd0,0)" in a "rootnoverify"
  key as a fallback for a missing "root" specification from
  yast2-bootloader: using "(hd)" now, which will generate an error
  when the section is selected during boot
- version bump to 0.4.20
* Mon Aug 13 2007 - aosthof@suse.de
- Version bump to 0.4.19
* Fri Aug 10 2007 - sf@suse.de
- enable configfile sections:
    - add CreateConfigFileLine()
    - some comments
* Mon Aug 06 2007 - aosthof@suse.de
- Adapted yast2-bootloader-style comments to be correctly detected
  by yast2-bootloader (fate #302407)
* Thu Aug 02 2007 - aosthof@suse.de
- Determine md device corresponding to md member device, e.g.
  if /dev/md0 consists of /dev/sda1 and /dev/sda2, then /dev/md0
  corresponds to both /dev/sda1 and /dev/sda2 (#271797)
* Wed Aug 01 2007 - aosthof@suse.de
- Adapt function DumpLog() to only write to perl-BL-standalone-log,
  because against expectations yast2-bootloader does logging of
  called perl-Bootloader functions on its own
* Wed Aug 01 2007 - aosthof@suse.de
- Added milestones to functions AddSection() and RemoveSections()
  to print new section entries, already existing section entries
  and section entries to be removed
* Wed Aug 01 2007 - aosthof@suse.de
- Improved logging mechanism to write log messages either to
  /var/log/YaST2/y2log or to /var/log/YaST2/perl-BL-standalone-log,
  depending on the state of the environment variable
  YAST_IS_RUNNING. In addition to that, the printing of log
  messages with level DEBUG can be switched on/off by
  setting/unsetting the environment variable Y2DEBUG.
* Mon Jul 30 2007 - aosthof@suse.de
- Use small letters in YaST-style comments due to case sensitive
  parser (#283709)
* Mon Jul 30 2007 - aosthof@suse.de
- Version bump to 0.4.18
* Mon Jul 30 2007 - aosthof@suse.de
- Avoid duplicate entries in elilo.conf (#294717)
* Mon Jul 30 2007 - aosthof@suse.de
- Added yast2-bootloader-style comment to sections created by
  perl-Bootloader (bug #283709 and fate #302407)
* Mon Jul 23 2007 - aosthof@suse.de
- Fixed boot entries of self compiled kernels (#265564)
* Thu Jul 12 2007 - aosthof@suse.de
- Generalized last fix to not touch any unknown or user-specified
  sections (#272625)
* Thu Jul 12 2007 - aosthof@suse.de
- Implemented a mechanism to not throw out user defined grub setup
  sections in menu.lst (#272625)
* Fri Jul 06 2007 - aosthof@suse.de
- Version bump to 0.4.17
* Fri Jul 06 2007 - aosthof@suse.de
- Fixed default value handling in update-bootloader. Check if
  default image is a symlink. If this is the case, let the new
  kernel be the default one. Else, if the flavor is the same as the
  one of the new kernel, let the new kernel become the default
  one. (#276923)
* Fri Jul 06 2007 - aosthof@suse.de
- Fixed resolution of kernel and initrd symlinks in Tools.pm
  (#276923)
* Fri Jul 06 2007 - aosthof@suse.de
- Implemented a special handling to make sure that all image
  sections are referenced at least in the base menu (#266605)
* Fri Jul 06 2007 - aosthof@suse.de
- Fixed function FixSectionName() in ZIPL.pm to fix section names
  on s390 properly (also related to #284308)
* Fri Jul 06 2007 - aosthof@suse.de
- implement FixSectionName funtion for ZIPL module according to the
  zipl sources (#267866)
- adjust inline interface documentation accordingly
* Fri Jul 06 2007 - aosthof@suse.de
- Removed an "o" suffix from a perl s/foo/bar/ expression that it
  gets compiled every time, not only once. This enables section
  names to get fixed properly. (related to ##284308)
* Fri Jul 06 2007 - aosthof@suse.de
- Removed a line in update-bootloader which replaced spaces by
  underscores, because this functionality is done by
  FixSectionName() in the according bootloader modules (#284308)
* Fri Jul 06 2007 - aosthof@suse.de
- Corrected naming scheme for boot entry labels to display long
  ones in case of GRUB and short ones for all other loaders
  (#277405)
* Fri Jul 06 2007 - aosthof@suse.de
- detect wether we have an entry with non existing initrd (#276923)
* Mon Jul 02 2007 - aosthof@suse.de
- Removed require for limal-bootloader in .spec due to drop of
  limal-bootloader package in openSUSE 10.3
- Added my name to the list of authors
* Wed Jun 13 2007 - aosthof@suse.de
- Minor corrections on naming scheme of boot entries
* Thu May 31 2007 - aosthof@suse.de
- Fixed creation of failsafe sections in boot menu, this issue is
  also related to bugs #272236, #272208 and #277405
- Verion bump to 0.4.16
* Thu May 31 2007 - aosthof@suse.de
- The last commit is also related to bugs #272236 and #272208
* Thu May 31 2007 - aosthof@suse.de
- Fixed label naming scheme for boot entries so that debug or
  vanilla kernel entries for instance get named correctly (#277405)
* Thu Apr 26 2007 - aosthof@suse.de
- Fixed failsafe parameters to boot in runlevel 3 instead of 5
* Wed Apr 25 2007 - aosthof@suse.de
- Fixed usage of md raids for ia64 (#233255)
- Reverted EFI Bootloader Label code in ELILO.pm to display gui
  wigets in YaST as they used to be displayed (#242985)
- Version bump to 0.4.15
* Wed Apr 25 2007 - aosthof@suse.de
- Fixed naming scheme of product name for boot menu entries, so
  that Xen or Failsafe entries for instance get displayed correctly
* Wed Apr 25 2007 - aosthof@suse.de
- Fix for booting from extended partitions (#246161, #259050)
* Wed Apr 25 2007 - jplack@suse.de
- do section type checking cleanly for ZIPL (#261551)
* Thu Apr 19 2007 - sf@suse.de
- use underlying device instead of md RAID-device (Bug #265867)
* Thu Apr 12 2007 - aosthof@suse.de
- Fixed error handling for "dmsetup" calls in DMRaidAvailable(),
  IsDMDevice() and IsDMRaidSlave() in Tools.pm
* Wed Apr 11 2007 - aosthof@suse.de
- Corrected resolution of symlinks in Tools.pm (#244033)
* Wed Apr 11 2007 - aosthof@suse.de
- Adapted EFI Bootloader Label code in ELILO.pm (#242985)
  --> Renamed "boot_efilabel" flag to "efilabel"
  --> Removed "boot_rm_efilabel" flag because it's now obsolete
* Tue Apr 03 2007 - aosthof@suse.de
- Cosmetic correction in Tools.pm
* Tue Apr 03 2007 - aosthof@suse.de
- Improved error handling in Tools.pm
* Mon Apr 02 2007 - aosthof@suse.de
- Fixed 'uname' call in Tools.pm due to return of false
  architectures (e.g. i586 instead of i386)
* Mon Apr 02 2007 - aosthof@suse.de
- Fixed typo in GRUB.pm
* Mon Apr 02 2007 - aosthof@suse.de
  Following changes all refer to bugs #252911 and #255851 which
  indeed are bugs against openSUSE 10.2 & 10.3, however those bugs
  will occur in SLES10-SP1 as well. Thus, those fixes are necessary
  to not mess up configuration after kernel-updates.
  Related (fixes) features: #232, #2154, #11011, #300543
- Added function GrubDev2MountPoint() to GRUB.pm to be able to
  retrieve mountpoints of grub devices
- Fixed functions GrubDev2UnixDev(), UnixDev2GrubDev(),
  GrubPath2UnixPath() and ParseLines() in GRUB.pm
- Added wrapper for GrubDev2UnixDev() to Library.pm to be able to
  call it from Tools.pm
- Fixed functions ReadDMRaidPartitions(), IsDMRaidSlave(),
  Udev2MajMin() and AddSection() in Tools.pm
- Commented out obsolete code in GetSectionList() and
  RemoveSections() in Tools.pm
- Fixed 'uname' call in update-bootloader due to return of false
  architectures (e.g. i586 instead of i386)
* Mon Mar 26 2007 - aosthof@suse.de
- Corrected mechanism for removal of sections in Tools.pm - part 2
* Mon Mar 26 2007 - aosthof@suse.de
- Corrected mechanism for removal of sections in Tools.pm
* Mon Mar 26 2007 - sf@suse.de
- fixed typo
* Mon Mar 26 2007 - aosthof@suse.de
- Corrected mechanism for adapting default value in Tools.pm
* Fri Mar 23 2007 - aosthof@suse.de
- Commented out wrong code in update-bootloader and Tools.pm
* Fri Mar 23 2007 - aosthof@suse.de
- Removed function AddNewImageSection() because it's obsolete
- Corrected resolution of symlinks in Tools.pm
- Corrected deletion of obsolete entries in Tools.pm
- Removed commented out code sections
* Thu Mar 22 2007 - aosthof@suse.de
- Added mechanism to name boot entries in a unique way
- Added mechanism to resolve symlinks in boot entries to be able to
  remove them properly if needed
- Corrected naming scheme appropriate to corresponding bootloader
* Tue Mar 20 2007 - sf@suse.de
- implemented DM RAID functionality, using devicemapper instead
  of udev (to "emulate" yast2-storage)
* Mon Mar 19 2007 - aosthof@suse.de
- Added mechanism to create failsafe boot entries appropriately
- Corrected handling for default boot entries
* Wed Mar 14 2007 - aosthof@suse.de
- New kernels will now be put on top of menu.lst
* Tue Mar 13 2007 - aosthof@suse.de
- Display labels of boot entries correctly, e.g. "openSUSE 10.2 --
  Kernel-2.6.20-9-default" (#252911)
- Fixed handling concerning which kernel will be the default entry
  in bootloader menu (#252911)
* Tue Mar 13 2007 - aosthof@suse.de
- Following changes merged from branch SLES10-SP1 to trunk:
- Fixed removal of obsolete entries in /boot/grub/menu.lst
- Exluded kernel-debug from getting default (#241370)
* Wed Feb 28 2007 - aosthof@suse.de
- Fixed a perl warning bug in Core/GRUB.pm (#248211)
* Wed Feb 21 2007 - aosthof@suse.de
- Corrected a typo in Core.pm
* Fri Feb 16 2007 - jplack@suse.de
- Fallback to first section as default boot if bogus value is given
* Thu Feb 15 2007 - jplack@suse.de
- handle boolean options correctly in GRUB (#244530)
* Wed Feb 14 2007 - aosthof@suse.de
- manually merge SLES10 branch with trunk, part 4/4:
- fixed function SplitDevPath() in src/Core.pm to avoid an endless
  loop (#228570) & (#236777)
- version bump 0.4.11 (skipped 0.4.10 to be consistent again)
* Wed Feb 14 2007 - aosthof@suse.de
- manually merge SLES10 branch with trunk, part 3/4:
- Reverted to make Xen kernel default boot kernel if Xen pattern
  or Xen RPMs are installed. (Fate #301384)
* Wed Feb 14 2007 - aosthof@suse.de
- manually merge SLES10 branch with trunk, part 2/4:
- fixed function InitializeBootloader() in src/Core/ZIPL.pm to
  correctly call /sbin/zipl (without param "-m menu") (#199582)
* Wed Feb 14 2007 - aosthof@suse.de
- manually merge SLES10 branch with trunk, part 1/4:
- fixed default/minimum/maximum values for timeout in ELILO.pm
- fixed some typos (in descriptions) in ELILO.pm
- IA 64: Added missing options in elilo.conf (#235400)
* Wed Jan 17 2007 - jplack@suse.de
- fix for efi boot entry handling (#233537)
* Wed Jan 17 2007 - jplack@suse.de
- proposed fix for append quotation in elilo (#235400)
* Wed Jan 17 2007 - jplack@suse.de
- fix various zipl configuration problems (#235486)
* Thu Jan 11 2007 - jplack@suse.de
- final (at least should be ) fix for ELILO (#228833)
- version bump 0.4.9
* Wed Jan 10 2007 - jplack@suse.de
- mostly complete fix for #228833, wrong elilo configurator
* Fri Dec 22 2006 - aosthof@suse.de
- partial fix for ELILO (#228833)
* Fri Dec 22 2006 - jplack@suse.de
- complete implementation for (Fate#300732)
- fix config file syntax problems from #228841
- version bump 0.4.8
* Fri Dec 08 2006 - jplack@suse.de
- fixed comment handling for ZIPL
- basic implementation for generic bootloader widgets for ZIPL
  (Fate#300732)
- basic implementation for generic bootloader widgets for ELILO
  (Fate#300732)
- version bump 0.4.7
* Thu Dec 07 2006 - aosthof@suse.de
- fixed identation (correct usage of tabs)
- fixed remove_entry() that it removes xen entries correctly
  (#223576)
* Thu Nov 30 2006 - jplack@suse.de
- implement new section type menu neccessary for linking to other
  systems/ complexer multiboot setups
* Wed Nov 29 2006 - jplack@suse.de
- handle xen sections correctly in update-bootloader (#224330)
* Mon Nov 27 2006 - od@suse.de
- do not specify the name of a bootloader entry when removing it
  with bootloader_entry, thus removing all sections matching the
  kernel image and initrd names (if these are on a currently
  mounted partition) (#223030)
* Tue Nov 21 2006 - jplack@suse.de
- fix mostly all remaining warnings (#222600)
* Mon Nov 20 2006 - jplack@suse.de
- fix various warnings (#222600)
* Fri Nov 17 2006 - jplack@suse.de
- some more finer fixes for the last entries stuff
* Fri Nov 17 2006 - jplack@suse.de
- kernel line and vga mode now editable again (#214875)
- show most partitions in Custom Boot Partition drop-down list
  (#220283)
- fix handling for chainloader sections (broken)
- fix handling for xen sections (various problems, partial redesign
  neccessary)
- boot from MBR does now address the first bios disk (#221204)
* Fri Nov 17 2006 - jplack@suse.de
- adding support for 'macos_timeout'
* Mon Nov 13 2006 - jplack@suse.de
- use selectdevice type for "root" tag: may be given by-id as well
- include logical partitions in list of custom boot devices
  (#213256)
* Thu Nov 09 2006 - aosthof@suse.de
- accept old arguments and new arguments in bootloader_entry
- fixed usage() and did some cleanup
* Wed Nov 08 2006 - schwab@suse.de
- Fix error checking.
* Tue Nov 07 2006 - aosthof@suse.de
- changed interface of bootloader_entry script to kernel rpm,
  no more second guessing.
* Tue Nov 07 2006 - jplack@suse.de
- fix implementation for grub.conf generation and parsing
  (FATE#300732, bug#213256)
- version bump 0.4.0
* Tue Oct 31 2006 - jplack@suse.de
- fix typo in Library.pm (#215613)
- reduce build dependencies
- version bump 0.3.5
* Tue Oct 31 2006 - od@suse.de
- increase maximum timeout for grub to 3600 seconds (#214146)
* Wed Oct 25 2006 - jplack@suse.de
- do error handling when $loader is not yet initialized (#213873)
* Mon Oct 23 2006 - jplack@suse.de
- move GetMetaData call to the constructor (#213255)
* Sat Oct 21 2006 - od@suse.de
- grub: using OO call for last fix (#213255)
* Fri Oct 20 2006 - od@suse.de
- grub: fix writing globals (#213255)
* Thu Oct 12 2006 - jplack@suse.de
- first chunk of changes for GRub using generic interface,
  grub.conf handling still missing
* Fri Sep 29 2006 - jplack@suse.de
- new interface for FATE#300732
* Thu Sep 28 2006 - aosthof@suse.de
- added new interface script bootloader_entry
* Tue Sep 19 2006 - jplack@suse.de
- fix man page for update-bootloader
* Mon Sep 04 2006 - jplack@suse.de
- support new options no_os_chooser and optional (#202069, #202072)
* Mon Sep 04 2006 - jplack@suse.de
- remove braces when parsing device.map file (#203545)
* Mon Aug 07 2006 - jplack@suse.de
- add requirement for 'mdadm' and 'e2fsprogs' (#197471)
* Mon Jul 31 2006 - jplack@suse.de
- typo fix
* Fri Jul 28 2006 - jplack@suse.de
- Tools.pm@Udev2Dev : CCISS driver maps slashes to bangs so we
  have to reverse that, suppress ignorable warnings from udevinfo
  (#189348)
* Tue Jul 25 2006 - jplack@suse.de
- do not use device symlink in sysfs as a criteria for device
  detection which breaks on SmartArray controllers (#189348)
- bump version to 0.2.27
* Tue Jul 11 2006 - jplack@suse.de
- move Partition2Disk function to Grub.pm as the only place of
  usage and the only place to make it really work (#189348).
* Thu Jul 06 2006 - jplack@suse.de
- do not replace section names of new sections by default section
  name (#190529)
- do not interpret zero integer values as null string (#190529)
* Tue Jul 04 2006 - jplack@suse.de
- several 'each' iterators for global hashes not properly reset.
  This broke root-on-raid1 support so far.
* Mon Jul 03 2006 - jplack@suse.de
- fix CountSections/GetSectionList which always returned all
  sections
* Mon Jul 03 2006 - jplack@suse.de
- fix raid1 support in Tools.pm, still more problems in
  Grub.pm:GrubPath2UnixPath
* Mon Jul 03 2006 - jplack@suse.de
- fixed severe syntax problems introduced by r113&r111 in Tools.pm
  and broke update-bootloader
* Wed Jun 28 2006 - jplack@suse.de
- map kernel_append params to xen_append params (#188614) when
  having a serial console
* Wed Jun 28 2006 - jplack@suse.de
- be nicer while handling empty paths (#177083)
- remove call to RealFileName which is called in SplitDevPath
  anyway
- extended/reworked interface in Tools.pm, more generic functions
  those are needed for another tool needed to enable multipathing
  after install, add new entries
- check for RAID1 md arrays as all others will break on reboot
  (#178802), fix mdadm call (RAID1 check)
- changed name of ReadMDArrays to ReadRAID1Array which matches its
  intended functionality.
- Added FIXME notes for mskibbe
* Tue May 30 2006 - jplack@suse.de
- fixed broken parsing/handling/reassembly esp. of comments in
  config files
- fixed inline documentation for MD2Members
* Mon May 22 2006 - jplack@suse.de
- fix broken selection list (#167390)
- bump version to 0.2.24
* Fri May 19 2006 - jplack@suse.de
- fix xen section counting when adding (#161559)
- omit bogus warning (#165158)
- move check for bool type to save code area (#175228)
- do syntax checking for global "default" parameter. Has to be an
  integer (#174829)
- bump version to 0.2.23
* Fri May 12 2006 - jplack@suse.de
- do not accept empty product string
* Fri May 12 2006 - jplack@suse.de
- call setlocale only when neccessary (helps with --refresh in
  instsys)
- do not define opt_xen_kernel initially hence else all new entries
  will be xen entries.
* Wed May 10 2006 - jplack@suse.de
- fix blocking bootloader issue (all archs) found by kukuk right
  now: bootloader config files are not moved to final destination
  and bootloader installation thus hangs complete install.
* Tue May 09 2006 - jplack@suse.de
- follow symlinks for dev-by-id (#170588)
- bump version to 0.2.21
* Wed Apr 19 2006 - agruen@suse.de
- Fix a bug in CountSections(), and be more specific in
  update-bootloader, even though it shouldn't be necessary with
  the fix.
* Wed Apr 19 2006 - agruen@suse.de
- Change option --xen to --xen-kernel=... (161197).
- Fix a bug when removing xen bootloader entries.
* Wed Apr 12 2006 - sf@suse.de
- remove wrong dashes from update-bootloader
- bump version to 0.2.20
* Wed Apr 12 2006 - od@suse.de
- make error checking for yast2 print-product independent of
  the contents of the product name
- bump version to 0.2.19
* Fri Apr 07 2006 - jplack@suse.de
- changed update-bootloader semantic according to #164427
- bump version to 0.2.18
* Mon Apr 03 2006 - jplack@suse.de
- extended interface to fix #161755
- bump version to 0.2.17
* Mon Mar 27 2006 - jplack@suse.de
- always regenerate our 'meta global' section to avoid #160595
- bump version to 0.2.16
* Tue Mar 21 2006 - jplack@suse.de
- added package dependency to perl-gettext (#159773)
- add a fallback value of "SUSE Code 10" instead of error in
  function GetProduct
- bump version to 0.2.15
* Tue Mar 21 2006 - sf@suse.de
- use print-product.ycp again, fallback to /etc/SuSE-release
  if that doesn't work.
* Fri Mar 17 2006 - jplack@suse.de
- moved unification of section names in FixSectionName to Core.pm
- altered loader specific code to use that (needed by #158274)
- rearranged update-bootloader so that bootloader entry translation
  works again (#158274)
- bump version to 0.2.14
* Wed Mar 15 2006 - od@suse.de
- fix erroneous error message on ELILO installation (#156993)
* Mon Mar 13 2006 - jplack@suse.de
- create a nicer default for Xen
* Mon Feb 27 2006 - jplack@suse.de
- change log file name for _all- archs to y2log_bootloader(#145106)
* Thu Feb 23 2006 - jplack@suse.de
- modified interface in Tools.pm to enable more generic chages to the
  bl config sections (#148461)
- use new interface of Tools.pm for the xen case in update-bootloader
  (#148461)
- bump version to 0.2.12
* Sun Feb 19 2006 - agruen@suse.de
- update-bootloader: Only modify the section name if no explicit
  name is specified. Strip directories when generating a name from
  the image name.
* Tue Feb 14 2006 - jplack@suse.de
- implement new requirements/word split in FixSectionName
- bump version to 0.2.11
* Mon Feb 13 2006 - sf@suse.de
- workaround for broken Product.ycp (Bug #148625)
* Fri Feb 10 2006 - jplack@suse.de
- fix boot_*/stage1_dev tag handling which breaks kernel builds
  through update-bootloader, hopefully final checkin´ for FATE #2154
- remove stage1_dev code for POWER
- bump version to 0.2.10
* Thu Feb 09 2006 - jplack@suse.de
- added help messages to make update-bootloader usuable
- added error handling which was not there at all
- added --force and --refresh option for FATE #2154
- introduce Bootloader::Tools::UpdateBootloader(), no longer in
  Add/Remove Section functions
- image name may be empty and stored either under "kernel" or "image"
- bump version to 0.2.9
* Mon Feb 06 2006 - jplack@suse.de
- catch cases wherethere is no key 'kernel' (FATE #2154)
- create name and initrd only if not given via parameter
- use functions to detect kernel/initrd
- bump version to 0.2.8
* Mon Feb 06 2006 - sf@suse.de
- get kernel/initrd  name and path from default section
- put GetSystemLanguage in Tools.pm
* Fri Feb 03 2006 - sf@suse.de
- fix typo in image name
* Wed Feb 01 2006 - od@suse.de
- update-bootloader changes from pth@suse.de and od@suse.de:
  - only grub allows blanks in section titles
  - for non-grub: restrict section title lenght to 16 chars
  - beautify code
* Wed Feb 01 2006 - od@suse.de
- update-bootloader:
  - use /etc/sysconfig/language:RC_LANG
  - translated section name must be non-empty to be used
* Tue Jan 31 2006 - sf@suse.de
- localize only on Grub or lilo
- check if translated section name contains non-ASCII characters
  and fallback to english
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - jplack@suse.de
- added changes from pth for (FATE #2154)
* Tue Jan 24 2006 - jplack@suse.de
- handle entries for block devices in sysfs correctly. replaced
  heuristic term by a proper device and partition detection
  (FATE #2154)
* Fri Jan 20 2006 - jplack@suse.de
- defaultboot section must not be empty (#144321)
- avoid colliding definition of default label in 'menu' and
  'defaultboot'
* Wed Jan 18 2006 - jplack@suse.de
- add nice paranthesis to fix blocking yast2 crash (#143746)
* Wed Jan 18 2006 - rw@suse.de
- get rid of 'append=splash=silent" default
* Mon Jan 16 2006 - jplack@suse.de
- fixed famous last typo
* Mon Jan 16 2006 - jplack@suse.de
- unify format of type spec string, they alway start with type,
  desc, default now.
* Wed Jan 11 2006 - uli@suse.de
- ZIPL: take out the [defaultboot] garbage
* Tue Jan 03 2006 - uli@suse.de
- ZIPL: implemented new UI scheme
- ZIPL: actually use autogenerated boot menu
- ZIPL: syntax fix in boot menu
* Tue Dec 20 2005 - jplack@suse.de
- installer segfaults due to empty config (means always) #140127
- bump version to 0.2.3
* Mon Dec 19 2005 - jplack@suse.de
- add needed label text
- bump version to 0.2.2
* Fri Dec 16 2005 - jsrain@suse.cz
- fixed getting MD array info via mdadm (#137987)
* Fri Nov 18 2005 - jplack@suse.de
- extend partition information interface transparently
- encode module exports and transport them through 'global'
  (intermediate solution/ proof of concept)
- eliminate some unneeded 'system' calls
- reenable ppc bootloader config
- bump version to 0.2.1
* Mon Oct 31 2005 - jsrain@suse.cz
- fixed reading GRUB settings when /boot subtree is on MD array
  (#130236)
* Wed Oct 26 2005 - jsrain@suse.cz
- fixed updating elilo configuration (#116739)
- do more verbose output to log when installing lilo
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Tue Sep 27 2005 - jsrain@suse.cz
- fixed quoting of options in lilo.conf (#117642)
* Tue Aug 30 2005 - jsrain@suse.cz
- added ELILO support
* Mon Aug 29 2005 - aj@suse.de
- Do not package .orig file.
* Mon Aug 29 2005 - jsrain@suse.cz
- added support for PPC loader
- fixed rootnoverify handling for GRUB (#113683)
* Fri Aug 19 2005 - jsrain@suse.cz
- fixed kernel/initrd specification in merged sections (#105660)
* Thu Aug 18 2005 - jsrain@suse.cz
- fixed order of lines in XEN sections (#105171)
* Wed Aug 17 2005 - jsrain@suse.cz
- fixed installing GRUB if /boot is on MD array (104908)
- fixed displayed paths in configuration file editor during
  bootloader installation (105140)
* Tue Aug 09 2005 - jsrain@suse.cz
- fixed writing chainloader sections for GRUB (#102703)
* Wed Aug 03 2005 - jsrain@suse.cz
- fixed crashes if using on unsupported bootloader
* Tue Aug 02 2005 - jsrain@suse.cz
- fixed crash in some cases
* Wed Jul 27 2005 - jsrain@suse.cz
- added possibility to set password
* Tue Jul 26 2005 - jsrain@suse.cz
- fixed typo in function name
* Thu Jul 21 2005 - jsrain@suse.cz
- fixed GRUB <-> UNIX path translations to make menus merging work
* Thu Jun 30 2005 - jsrain@suse.cz
- fixed handling of wildcard sections
- fixed determining whether bootloader initialization succeeded
  for LILO and ZIPL
* Wed Jun 29 2005 - jsrain@suse.cz
- fixed checking of labels for LILO
- fixed creating global sections during distro installation
* Thu Jun 02 2005 - jsrain@suse.cz
- use rootnoverify instead of root in chainloader sections (#84575)
* Wed Jun 01 2005 - jsrain@suse.cz
- merged last patch to main tarball
- fixed cripplink lilo.conf if detailed disk information is
  present (#81526)
* Tue May 31 2005 - uli@suse.de
- fixed syntax error
* Mon May 23 2005 - uli@suse.de
- shift s390* ramdisk up to 16MB so it will not be overwritten
  on machines with many CPUs (bug #63045)
* Fri Apr 15 2005 - jsrain@suse.cz
- added GRUB support for XEN
* Wed Apr 06 2005 - jsrain@suse.cz
- removed code duplication between generic and S/390 specific code
* Wed Mar 16 2005 - jsrain@suse.cz
- added license to documentation
* Mon Mar 14 2005 - jsrain@suse.cz
- limit LILO section name length (#71830)
- fixed setting default entry when GRUB section added (#71217)
- make bootloader files not public readable (#72385)
* Tue Mar 08 2005 - jsrain@suse.de
- fixed creating zipl.conf during installation
- added missing documentation in source code
* Mon Mar 07 2005 - jsrain@suse.cz
- fixed reading zip.conf (uli)
* Wed Mar 02 2005 - jsrain@suse.cz
- fixed error message written on terminal while finishing
  installation
* Fri Feb 25 2005 - jsrain@suse.cz
- fixed initialization when device specified via UUID or LABEL
  in /etc/fstab (#66623)
* Fri Feb 25 2005 - agruen@suse.de
- Add --default option to update-bootloader script.
* Wed Feb 23 2005 - ihno@suse.de
- added s390/s390x specific part (zipl)
* Thu Feb 17 2005 - jsrain@suse.cz
- avoid calling hwinfo when detecting partitioning (#50615)
* Thu Feb 17 2005 - schwab@suse.de
- Don't remove BuildRoot in %%install.
* Wed Feb 16 2005 - jsrain@suse.cz
- added support for embedding stage1.5 of GRUB
* Mon Feb 14 2005 - jsrain@suse.cz
- fixed parameters of added kernel if the comment saying which
  kernel comes from initial installation is missing (#50708)
- fixed errors if removing entry for unexistent kernel (#50708)
* Mon Feb 07 2005 - jsrain@suse.cz
- fixed last patch (more entries can be removed with one kernel)
- write only modified configuration files and modified sections
- fixed splitting path to mountpoint + path relative to the mp
* Fri Feb 04 2005 - agruen@suse.de
- Set the new default boot entry to the first entry in the boot
  menu when removing the current default entry.
- A few minor code cleanups.
* Fri Feb 04 2005 - jsrain@suse.de
- fixed possible corruption of data files
- fixed counting and removing sections with specified kernel
* Thu Feb 03 2005 - agruen@suse.de
- Rename the man pages so that they include the Bootloader::
  prefix.
- Fix a bug in Bootloader::Core::SplitDevPath.
- Add update-bootloader frontend script.
* Mon Jan 31 2005 - jsrain@suse.cz
- fixed several bugs
* Tue Jan 25 2005 - jsrain@suse.cz
- fixed GRUB to work properly with MD arrays
- fixed handlink of symlinks
- fixed root device when creating a new section
- implemented logging support when running without YaST
- fixed handling of GRUB path prefix
* Mon Jan 24 2005 - jsrain@suse.cz
- implemented logging mechanism
- several bugfixes
* Thu Jan 20 2005 - jsrain@suse.cz
- initial package
